summaryrefslogtreecommitdiffstats
path: root/release/amd64
diff options
context:
space:
mode:
authorgjb <gjb@FreeBSD.org>2014-05-04 00:13:07 +0000
committergjb <gjb@FreeBSD.org>2014-05-04 00:13:07 +0000
commit0bda42d9359973e2d9e67c952b453826071befb4 (patch)
tree8603a287f73267956373c9b7bd1af6ab6e6e58b0 /release/amd64
parent9653be1bc2e44a7a5e33435c3a73efbcaa2cf1b6 (diff)
downloadFreeBSD-src-0bda42d9359973e2d9e67c952b453826071befb4.zip
FreeBSD-src-0bda42d9359973e2d9e67c952b453826071befb4.tar.gz
MFC r264933:
Fix indentation in make-memstick.sh. Sponsored by: The FreeBSD Foundation
Diffstat (limited to 'release/amd64')
-rwxr-xr-xrelease/amd64/make-memstick.sh22
1 files changed, 11 insertions, 11 deletions
diff --git a/release/amd64/make-memstick.sh b/release/amd64/make-memstick.sh
index 2acecb5..e10b892 100755
--- a/release/amd64/make-memstick.sh
+++ b/release/amd64/make-memstick.sh
@@ -14,32 +14,32 @@ PATH=/bin:/usr/bin:/sbin:/usr/sbin
export PATH
if [ $# -ne 2 ]; then
- echo "make-memstick.sh /path/to/directory /path/to/image/file"
- exit 1
+ echo "make-memstick.sh /path/to/directory /path/to/image/file"
+ exit 1
fi
if [ ! -d ${1} ]; then
- echo "${1} must be a directory"
- exit 1
+ echo "${1} must be a directory"
+ exit 1
fi
if [ -e ${2} ]; then
- echo "won't overwrite ${2}"
- exit 1
+ echo "won't overwrite ${2}"
+ exit 1
fi
echo '/dev/ufs/FreeBSD_Install / ufs ro,noatime 1 1' > ${1}/etc/fstab
makefs -B little -o label=FreeBSD_Install ${2} ${1}
if [ $? -ne 0 ]; then
- echo "makefs failed"
- exit 1
+ echo "makefs failed"
+ exit 1
fi
rm ${1}/etc/fstab
-unit=`mdconfig -a -t vnode -f ${2}`
+unit=$(mdconfig -a -t vnode -f ${2})
if [ $? -ne 0 ]; then
- echo "mdconfig failed"
- exit 1
+ echo "mdconfig failed"
+ exit 1
fi
gpart create -s BSD ${unit}
gpart bootcode -b ${1}/boot/boot ${unit}
OpenPOWER on IntegriCloud